Bug 1702489 - Setting `Edit Report Menu` back to default does not work as expected.
Summary: Setting `Edit Report Menu` back to default does not work as expected.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.8
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.4
Assignee: Dávid Halász
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1670293
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-23 22:25 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
7 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1670293
Environment:
Last Closed: 2019-05-21 05:47:07 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:14 UTC

Comment 2 CFME Bot 2019-04-24 19:48:19 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/2400bda46d9fca05fc1fa248e1caf1944e83e8d4
commit 2400bda46d9fca05fc1fa248e1caf1944e83e8d4
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jan 31 13:22:24 2019 -0500
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Thu Jan 31 13:22:24 2019 -0500

    Merge pull request #5212 from skateman/report-default-commit

    Delete the "report_menus" instead of :report_menus when resetting

    (cherry picked from commit 070b856510f6eba211b97c0091f292062a4f95e7)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702489

 app/controllers/report_controller/menus.rb | 2 +-
 spec/controllers/miq_report_controller/menus_spec.rb | 18 +
 2 files changed, 19 insertions(+), 1 deletion(-)

Comment 3 Parthvi Vala 2019-04-25 06:57:41 UTC
FIXED. Verified on 5.10.4.0.20190424160602_acb6009.

Comment 5 errata-xmlrpc 2019-05-21 05:47:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.